Levain LabsLevain Labs
ApiAgent skills

List Agent Skills

List the skills the agent has authored for itself.

List the skills the agent has authored for itself.

GET
/api/v1/agents/{agent_id}/skills

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Path Parameters

agent_id*Agent Id
Formatuuid

Header Parameters

X-API-Key?string|null

Response Body

application/json

application/json

curl -X GET "https://api.levainlabs.com/api/v1/agents/497f6eca-6276-4993-bfeb-53cbbbba6f08/skills"
[
  {
    "name": "string",
    "description": "string",
    "file_count": 0,
    "total_bytes": 0,
    "use_count": 0,
    "state": "string"
  }
]
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}